<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Prodi</title>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
  <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
    <h4 class="h4">Prodi</h4>
    <!--        <div class="btn-toolbar mb-2 mb-md-0">-->
    <!--            <div class="btn-group me-2">-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Share</button>-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Export</button>-->
    <!--            </div>-->
    <!--            <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">-->
    <!--                <span data-feather="calendar" class="align-text-bottom"></span>-->
    <!--                This week-->
    <!--            </button>-->
    <!--        </div>-->
  </div>

  <div class="row">
    <div class="col-md-12" style="margin-bottom: 20px;">
      <div class="card">
        <div class="card-header" style="text-align: right;">
          <a th:href="@{/prodi}" class="btn btn-info btn-sm"><i class="fa fa-plus-circle"></i> Kembali</a>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-md-12" th:if="${success != null}">
              <div class="alert alert-success alert-dismissible fade show" role="alert">
                <strong>Data berhasil di simpan.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
            <div class="col-md-12" th:if="${delete != null}">
              <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <strong>Data berhasil di hapus.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <form th:action="@{/prodi/update}" th:object="${prodi}" method="post" enctype="multipart/form-data">
                <div class="form-group mb-3">
                  <label>Nama</label>
                  <input type="text" class="form-control" name="namaProdi" th:field="*{namaProdi}">
                  <input type="hidden" name="id" th:field="*{id}">
                  <input type="hidden" name="fakultas" th:field="*{fakultas}">
                </div>
                <div class="form-group mb-3">
                  <label>tahun SK</label>
                  <input type="text" class="form-control" name="tahunSk" th:field="*{tahunSk}">
                </div>
                <div class="form-group mb-3">
                  <label>Nomor SK</label>
                  <input type="text" class="form-control" name="noSk" th:field="*{noSk}">
                </div>
                <div class="form-group mb-3">
                  <label>File SK</label>
                  <input type="file" class="form-control" name="doc">
                </div>
                <div class="form-group mb-3">
                  <label>Strata</label>
                  <select name="strata" th:field="*{strata}" class="form-control">
                    <option value="" disabled selected>-- Pilih --</option>
                    <option value="S1">S1</option>
                    <option value="S2">S2</option>
                  </select>
                </div>
                <div class="form-group mb-3">
                  <label>Status</label>
                  <select name="statusProdi" th:field="*{statusProdi}" class="form-control">
                    <option value="" disabled selected>-- Pilih --</option>
                    <option value="Unggul">Unggul</option>
                    <option value="A">A</option>
                    <option value="B">B</option>
                    <option value="Baik">Baik</option>
                    <option value="Baik Sekali">Baik Sekali</option>
                  </select>
                </div>
                <div class="form-group mb-3">
                  <label>Tanggal Kadaluwarsa</label>
                  <input type="date" class="form-control" name="tglKadaluwarsa" th:field="*{tglKadaluwarsa}">
                </div>
                <div class="form-group">
                  <button class="btn btn-primary">Simpan</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>

</body>
</html>